Bug 1095077 - exec-maven-plugin: enable test suite
Summary: exec-maven-plugin: enable test suite
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: exec-maven-plugin
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Marián Konček
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-07 05:12 UTC by Michal Srb
Modified: 2018-09-20 15:52 UTC (History)
4 users (show)

Fixed In Version: exec-maven-plugin-1.6.0-5.fc30
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-20 15:52:01 UTC


Attachments (Terms of Use)

Description Michal Srb 2014-05-07 05:12:45 UTC
Description of problem:

Test suite in exec-maven-plugin 1.3 is currently disabled, because all tests are failing with following error:

testIsResultCodeAFailure(org.codehaus.mojo.exec.ExecMojoTest)  Time elapsed: 0.039 sec  <<< ERROR!
java.lang.NoSuchMethodError: org.codehaus.plexus.ContainerConfiguration.setClassPathScanning(Ljava/lang/String;)Lorg/codehaus/plexus/ContainerConfiguration;
    at org.apache.maven.plugin.testing.AbstractMojoTestCase.setupContainerConfiguration(AbstractMojoTestCase.java:248)
    at org.apache.maven.plugin.testing.AbstractMojoTestCase.setupContainer(AbstractMojoTestCase.java:222)
    at org.apache.maven.plugin.testing.AbstractMojoTestCase.getContainer(AbstractMojoTestCase.java:261)
    at org.apache.maven.plugin.testing.AbstractMojoTestCase.setUp(AbstractMojoTestCase.java:115)
    at org.codehaus.mojo.exec.ExecMojoTest.setUp(ExecMojoTest.java:90)



Version-Release number of selected component (if applicable):
1.3-1

Comment 1 Mikolaj Izdebski 2014-05-07 05:43:13 UTC
What needs to be done is porting tests to newer version of Plexus or to Sisu.

Comment 2 Fedora Admin XMLRPC Client 2016-06-01 10:59:45 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Mikolaj Izdebski 2018-09-20 14:52:37 UTC
Pull request merged, https://src.fedoraproject.org/rpms/exec-maven-plugin/pull-request/1

Comment 4 Marián Konček 2018-09-20 15:52:01 UTC
Package was ported to Maven 3 and tests were enabled.
This required replacing some of the dependencies with their compatibility versions and a few changes to the source code.


Note You need to log in before you can comment on or make changes to this bug.